public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: gui-libs/aquamarine/
@ 2024-07-25 10:10 David Roman
  0 siblings, 0 replies; only message in thread
From: David Roman @ 2024-07-25 10:10 UTC (permalink / raw
  To: gentoo-commits

commit:     d963d44cec5d138ddbf4b62b4c0949f127aa0bd0
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Mon Jul 22 17:59:12 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Mon Jul 22 17:59:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d963d44c

gui-libs/aquamarine: add 0.1.1

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>

 gui-libs/aquamarine/Manifest                |  1 +
 gui-libs/aquamarine/aquamarine-0.1.1.ebuild | 51 +++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/gui-libs/aquamarine/Manifest b/gui-libs/aquamarine/Manifest
new file mode 100644
index 000000000..f3b2ca57f
--- /dev/null
+++ b/gui-libs/aquamarine/Manifest
@@ -0,0 +1 @@
+DIST aquamarine-0.1.1.tar.gz 70241 BLAKE2B 511e03fed61f970b6309f4cc630e6cfee9eabb4b2d95da27699aa9b38e8e20922847272c9bb4467fb59f428b7137196be2e31cf4e34ac0bb61df5e1520c6f27a SHA512 5e51db094d8a30b53f6bd0e8895039adb354f04428c49e6d1b6fdbbc13d9e8ee02d42da1f9d78bb495a0cd8e286888323a5dbdf663ae6df7495072ed6ab4abc2

diff --git a/gui-libs/aquamarine/aquamarine-0.1.1.ebuild b/gui-libs/aquamarine/aquamarine-0.1.1.ebuild
new file mode 100644
index 000000000..80acaec62
--- /dev/null
+++ b/gui-libs/aquamarine/aquamarine-0.1.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Aquamarine is a very light linux rendering backend library"
+HOMEPAGE="https://github.com/hyprwm/aquamarine"
+
+if [[ "${PV}" = *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
+else
+	SRC_URI="https://github.com/hyprwm/${PN^}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="
+	dev-libs/wayland
+	media-libs/mesa[opengl]
+	media-libs/libdisplay-info
+	>=dev-libs/libinput-1.26.1
+	>=dev-util/hyprwayland-scanner-0.4.0
+	>=gui-libs/hyprutils-0.1.5
+	gui-libs/egl-gbm
+	x11-libs/cairo
+	x11-libs/libxkbcommon
+	x11-libs/libdrm
+	x11-libs/pango
+	x11-libs/pixman
+	virtual/libudev
+	sys-apps/hwdata
+"
+DEPEND="
+	${RDEPEND}
+	dev-libs/wayland-protocols
+"
+
+BDEPEND="
+	dev-util/wayland-scanner
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	sed -i "/add_compile_options(-O3)/d" "${S}/CMakeLists.txt" || die
+	cmake_src_prepare
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2024-07-25 10:10 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-07-25 10:10 [gentoo-commits] repo/proj/guru:master commit in: gui-libs/aquamarine/ David Roman

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox